Autor Tema: (SOLUCIONADO) UNPA_Error al instalar version 2.2.0  (Leído 706 veces)

0 Usuarios y 1 Visitante están viendo este tema.

mirtachica

  • Jr. Member
  • **
  • Mensajes: 69
    • Ver Perfil
  • Institución: Univ. Nacional de la Patagonia Austral
  • Nombre y apellido: Mirta Chicahuala
  • Sistema: Pampa-Mapuche-Comechingones-Pilaga
  • Teléfono laboral: 0297-4854888 int 114
(SOLUCIONADO) UNPA_Error al instalar version 2.2.0
« on: Agosto 27, 2015, 10:29:37 am »
Hola equipo SIU-Diaguita!
Estamos instalando el sistema por primera vez, y partimos de la version 2.2.0, luego de de validar si esto era posible para luego actualizar a la versión 2.2.1.
En el paso 4 de Base de datos se nos presenta el siguiente error:
 Se han encontrado los siguientes errores:
Error en la actualización de datos.Error actualizando el esquema de auditoría.SQLSTATE[42501]: Insufficient privilege: 7 ERROR: debe ser dueño de la función recuperar_schema_temp

Les comento que nuestro servidor tiene Linux Debian 7, Apache 2.2.22, PHP 5.4.36 y Postgres 9.1
Quedamos a la espera de su respuesta, de que puede ser el error que nos esta dando.
Gracias

Mirta Chicahuala
UNPA
« Última Modificación: Noviembre 03, 2015, 09:22:41 am por Sergio F. Vier »

Sergio F. Vier

  • Desarrollador SIU
  • Moderador Global
  • *****
  • Mensajes: 845
    • Ver Perfil
  • Institución: SIU
  • Nombre y apellido: Sergio Fabian Vier
Re:UNPA_Error al instalar version 2.2.0
« Respuesta #1 on: Agosto 28, 2015, 06:17:55 pm »
Hola Mirta,

Se han encontrado los siguientes errores:
Error en la actualización de datos.Error actualizando el esquema de auditoría.SQLSTATE[42501]: Insufficient privilege: 7 ERROR: debe ser dueño de la función recuperar_schema_temp

Este error está surgiendo debido a un problema con el instalador y como Diaguita está generando la estructura del sistema. Por ahora, no queda otra que utilizar el usuario postgres al momento de instalar y luego, crear manualmente uno que no sea superusuario y asignarle los permisos respectivos (GRANT ALL para esquemas, tablas, funciones, triggers dentro de la base de datos).

Esperamos para la próxima versión tener esto corregido y funcionando. Saludos!

happy coding!!